Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Enum Class ParameterTagMapping

java.lang.Object
java.lang.Enum<ParameterTagMapping>
org.firebirdsql.gds.ParameterTagMapping

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterTagMapping>`, `Constable`

public enum ParameterTagMapping extends Enum<ParameterTagMapping>
Mapping of connection parameter buffer item tags.

This mapping is intended to reduce code duplication with database and service parameter buffers.

For now this only contains authentication related tags. This may be expanded in the future.

Since:
  3.0
Author:
  Mark Rotteveel

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DPB`
`SPB`

## Method Summary

Modifier and Type
Method
Description
`abstract int`
`getAuthPluginListTag()`
`abstract int`
`getAuthPluginNameTag()`
`abstract int`
`getConfigTag()`
`abstract int`
`getEncryptedPasswordTag()`
`abstract int`
`getPasswordTag()`
`abstract int`
`getSpecificAuthDataTag()`
`abstract int`
`getTrustedAuthTag()`
`abstract int`
`getUserNameTag()`
`static ParameterTagMapping`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParameterTagMapping[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DPB

public static final ParameterTagMapping DPB

### SPB

public static final ParameterTagMapping SPB

## Method Details

### values

public static ParameterTagMapping[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParameterTagMapping valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getUserNameTag

public abstract int getUserNameTag()

### getPasswordTag

public abstract int getPasswordTag()

### getEncryptedPasswordTag

public abstract int getEncryptedPasswordTag()

### getTrustedAuthTag

public abstract int getTrustedAuthTag()

### getAuthPluginNameTag

public abstract int getAuthPluginNameTag()

### getAuthPluginListTag

public abstract int getAuthPluginListTag()

### getSpecificAuthDataTag

public abstract int getSpecificAuthDataTag()

### getConfigTag

public abstract int getConfigTag()